import { SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { Time } from './time.schema';

export type DayDocument = Day & Document;

export class Day {
  open: boolean;
  time: Time[];
}

export const DaySchema = SchemaFactory.createForClass(Day);
