import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type StructureTypeDocument = StructureType & Document;

@Schema({ collection: 'structuretype' })
export class StructureType {
  @Prop()
  name: string;

  @Prop()
  values: string[];
}

export const StructureTypeSchema = SchemaFactory.createForClass(StructureType);
