import { HttpModule } from '@nestjs/common';
import { getModelToken } from '@nestjs/mongoose';
import { Test, TestingModule } from '@nestjs/testing';
import { TclStopPoint } from './tclStopPoint.schema';
import { TclStopPointService } from './tclStopPoint.service';

describe('TclService', () => {
  let service: TclStopPointService;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      imports: [HttpModule],
      providers: [
        TclStopPointService,
        {
          provide: getModelToken('TclStopPoint'),
          useValue: TclStopPoint,
        },
      ],
    }).compile();

    service = module.get<TclStopPointService>(TclStopPointService);
  });

  it('should be defined', () => {
    expect(service).toBeDefined();
  });
});
