import { IsNotEmpty, IsEmail } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class PasswordResetDto {
  @ApiProperty({ type: String, example: 'toto@mii.com' })
  @IsNotEmpty()
  @IsEmail()
  readonly email: string;
}
