import { Document, Types } from 'mongoose';

export interface IUser extends Document {
  readonly _id: string;
  email: string;
  name: string;
  surname: string;
  phone: string;
  password: string;
  emailVerified: boolean;
  validationToken: string;
  resetPasswordToken: string;
  role: number;
  changeEmailToken: string;
  newEmail: string;
  structuresLink: Types.ObjectId[];
  pendingStructuresLink: Types.ObjectId[];
  structureOutdatedMailSent: Types.ObjectId[];
}
