# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [1.8.0](https://forge.grandlyon.com///compare/v1.7.0...v1.8.0) (2021-05-06)


### Features

* add auto-migrate for production ([f0568dc](https://forge.grandlyon.com///commit/f0568dcb3959db84a96c78915a7cd135d163b1b4))
* add migration for date format ([cae255e](https://forge.grandlyon.com///commit/cae255efe9c174457ae66c94a41e941bf7b2165c))
* **structures:** add elastic search stack for better search handling ([bbf608b](https://forge.grandlyon.com///commit/bbf608b6e90afaea9ae84ee9121e11ade7dd32c0))
* add enpoint for couting newsletter ([27cd278](https://forge.grandlyon.com///commit/27cd278781187a3734d06f16331fa9119da7adf4))
* add new endpoint for structures, data is formated (jointure on modules) ([509f30f](https://forge.grandlyon.com///commit/509f30f9a2c36b18ed093d25fa37c3b9b3849165))
* add notification mail to admin for structure ([d241ed8](https://forge.grandlyon.com///commit/d241ed8c4597a0151d5a916ae9c0f6aefe0e3092))


### Bug Fixes

* better naming ([2f837e7](https://forge.grandlyon.com///commit/2f837e78add9bacece2c8a03aa90c828ab7a832f))
* change freeWorkshop back to notempty ([ad09120](https://forge.grandlyon.com///commit/ad0912014ce7e1da5c94565f4dd05ca14884adb6))
* changes after review ([b627628](https://forge.grandlyon.com///commit/b62762851345e08d09cde924bc961ecca3123f16))
* changes on email template (wording...) ([0d18670](https://forge.grandlyon.com///commit/0d18670ca6d889628150d3d04ef1257ef06c3a51))
* docker-compose missing var + add admin verification on ES index reset ([0af581d](https://forge.grandlyon.com///commit/0af581d8a9d06d0de5b00a65915694cec6d270d2))
* fix number of results for ES and filters count ([416654e](https://forge.grandlyon.com///commit/416654e6165072314f91d7db3924dd730dbe471b))
* hide some fiel on endpoint and create migration for opening hours ([ec6d2ac](https://forge.grandlyon.com///commit/ec6d2acfd96a69ffd38e08310ec6f1863332a306))
* remove mandatory field on structure + update local email sending conf ([7603e47](https://forge.grandlyon.com///commit/7603e47f335aee3ade21ec5d49e7927d7b6eaaa8))
* remove useless import ([2253581](https://forge.grandlyon.com///commit/2253581b1ebc5a0dd2c0826ed97d9e549bba9402))
* remove useless improt ([421806d](https://forge.grandlyon.com///commit/421806d13befac5092d87d4864358692938ccfd3))
* **migration:** fix remove field bug in script ([d6a0f77](https://forge.grandlyon.com///commit/d6a0f775e2cbe6ca9e98d30dc6d136206b587667))

## [1.7.0](https://forge.grandlyon.com///compare/v1.6.1...v1.7.0) (2021-04-12)


### Features

* add aptic service offer query ([7602b41](https://forge.grandlyon.com///commit/7602b412f08047cd8dea2cb99af2e47b83d08c08))
* add endpoint for sending error report for structure ([bc64158](https://forge.grandlyon.com///commit/bc64158c06f6c1ecad7753dbac62a19a81f84a42))
* add newsletter data insert script ([a1a743d](https://forge.grandlyon.com///commit/a1a743d5c3391c2c54ec095a6cf12e4f2aeaae58))
* add newsletter subscription ([c507f53](https://forge.grandlyon.com///commit/c507f53646c9f10d40ebe1d6ea518b7aeea27876))
* edit request for structure service (not working) ([a156819](https://forge.grandlyon.com///commit/a1568197036f8a87d902b2563fc35430a79d13c3))
* TU for admin mailer and posts ([1b1724e](https://forge.grandlyon.com///commit/1b1724efcca24c2e5706e122f13f6740bb9b4ee9))
* zoom on town ([7eec8f1](https://forge.grandlyon.com///commit/7eec8f160286746c713b451d7d8576bc50314c9b))


### Bug Fixes

* migration script path ([0b549b8](https://forge.grandlyon.com///commit/0b549b86d961d25f95d3977cab2c2f86f5b0e6b1))
* typo in .gitignore ([ede567e](https://forge.grandlyon.com///commit/ede567e7fdd4542f5c5ccced51b3a627434bfd98))
* **structures:** prevent access to deleted structures ([ea0bf7b](https://forge.grandlyon.com///commit/ea0bf7bf698486cda875113852d6cc5c957f1f55))
* update search filter query ([44bb26e](https://forge.grandlyon.com///commit/44bb26ea836d95c3c5bc5437553eb633cf0092f1))
* **mail:** add link to structure in admin new structure mail ([b067483](https://forge.grandlyon.com///commit/b067483a91fb97ec7506f17a4999cd4fd65614be))

### [1.6.1](https://forge.grandlyon.com///compare/v1.6.0...v1.6.1) (2021-04-01)


### Features

* add jest auto testing in gitlab-ci ([e8b1b04](https://forge.grandlyon.com///commit/e8b1b04294c01a6d79c945e6d026906a249a18a9))
* add route for deleting user as admin ([da6052e](https://forge.grandlyon.com///commit/da6052e43ddd7557b061df38d7e6629613fbe00c))
* update gitlab-ci for test ([6b8f204](https://forge.grandlyon.com///commit/6b8f204754215ba88b167e79d87f1e59fa5f4f9c))
* updating user servuce ([e176e69](https://forge.grandlyon.com///commit/e176e69e1da5331b97c20bd0c242121821eb912d))


### Bug Fixes

* add admin mail sending fo new structures ([51cf3ab](https://forge.grandlyon.com///commit/51cf3ab12fc54c0b7de2555a294e2e495c3f7b87))
* add https to regex replace ([21f5955](https://forge.grandlyon.com///commit/21f5955cb9d293f12d3436854e818636f65f5738))
* add img regex for html news ([8e6ed52](https://forge.grandlyon.com///commit/8e6ed525b7986d2280233a5524f65402b9f0ca50))
* gitlab-ci ([48eb446](https://forge.grandlyon.com///commit/48eb44603e280de3e5277f7468dfc16be99234da))
* gitlab-ci ([c822468](https://forge.grandlyon.com///commit/c822468cb96df73e8d5dcdafb2d7d7c5ba6507df))
* gitlab-ci ([ffd2edd](https://forge.grandlyon.com///commit/ffd2edd03b88a7e6b6bfa286c910abe5fea07834))
* gitlab-ci ([b67369c](https://forge.grandlyon.com///commit/b67369c8b8932f3361eec6e37cd1ab393c243174))
* host url for news image ([2698302](https://forge.grandlyon.com///commit/2698302c6b558f434039c0ace1806a70b98f9721))
* images path in getById ([bc80a95](https://forge.grandlyon.com///commit/bc80a95ff772e4df638514544565061016ed5060))
* sonar issues ([232dbd7](https://forge.grandlyon.com///commit/232dbd78d4bf6c8aa7dbdabdd37852f844b8df78))
* syntax ([39b7cd2](https://forge.grandlyon.com///commit/39b7cd25593f48771afa8954f24eae48ef4a2be7))
* typo in url ([be3c536](https://forge.grandlyon.com///commit/be3c5361e01208225ec2e5c0d8ba3937e6f65cb8))
* unitary test + update test coverage config ([6b6d4bd](https://forge.grandlyon.com///commit/6b6d4bd12e21b6769474a0477e6675d55b8974a5))
* update auth unitary test ([336849a](https://forge.grandlyon.com///commit/336849a37b40b76672993d2018e4072b6f59ed31))

## [1.6.0](https://forge.grandlyon.com///compare/v1.5.0...v1.6.0) (2021-03-15)


### Features

* add Ghost admin client ([60ed843](https://forge.grandlyon.com///commit/60ed843bedc98a8e52dbbca0c9b37a4810dc51ae))
* add news tag handling ([588f9bd](https://forge.grandlyon.com///commit/588f9bdf614d9af60b8c2357b61f4d1fe5ae3d9b))
* add site mail signature ([6e1ba0a](https://forge.grandlyon.com///commit/6e1ba0ab9c09e9fbd53fff91edeb1e3e0874bec0))
* add tag and posts db init ([ed1fa26](https://forge.grandlyon.com///commit/ed1fa267871df403a8f0a89642df1844b14dcab6))


### Bug Fixes

* bug on admin validation ([8fd705f](https://forge.grandlyon.com///commit/8fd705f5b4e769905c96496f064cf63b105aa8de))
* dockerfile typo ([2d7f67b](https://forge.grandlyon.com///commit/2d7f67b52676554a20a15e613700b575d67f3b46))
* update coord endpoint on photon-bal ([2d13c57](https://forge.grandlyon.com///commit/2d13c570cf2a1cb47470280a2a77e4e65711aa9f))
* update dockerfile to add init scripts ([6925278](https://forge.grandlyon.com///commit/69252787747e87d6f1a78aaacfb22968951051b1))
* update error handling on post controller + update ghost insert script ([ab97a2d](https://forge.grandlyon.com///commit/ab97a2dac4d82a6314e1f480498296eab644e731))
* update script data + clean code ([c360668](https://forge.grandlyon.com///commit/c36066859b6f84880f0611c0aba4e8f721c2e23d))
* **ghost:** ghost data ([00b6a18](https://forge.grandlyon.com///commit/00b6a18db4fe6d3f55bdf07775c2edf544292948))

## [1.5.0](https://forge.grandlyon.com///compare/v1.4.0...v1.5.0) (2021-02-25)


### Features

* add ghost stack ([98e4254](https://forge.grandlyon.com///commit/98e4254ae9cc6c5f91bc7e7ab310b85b52111c33))
* add name and surname in token ([4a125a1](https://forge.grandlyon.com///commit/4a125a1b4f776baaaa6a7142f4ccc4fe46014f93))
* add post endpoint and update swagger declaration to allow auth ([d450d44](https://forge.grandlyon.com///commit/d450d44c79acda0262f74e3093a384822f6be733))
* add startup script for test users ([8d06a19](https://forge.grandlyon.com///commit/8d06a19f4a9c28465a561d720ad5c53db2ee2479))
* add temp-user handling for structure join ([9560829](https://forge.grandlyon.com///commit/95608291b11759847484efe9b94a1f81a02a3798))
* add user structure delete ([e592a89](https://forge.grandlyon.com///commit/e592a8979c96a5c03f5280eee21522b52329142b))
* move structureType to back ([22e0bd2](https://forge.grandlyon.com///commit/22e0bd2eaa6b336a77b4817ccee3d342d1f7d6fd))
* update config service for template handling + add structure join ([679f239](https://forge.grandlyon.com///commit/679f239edae90f714b60fd7a89e4f881fcc6d5dc))


### Bug Fixes

* add npm script for db init ([8c819fc](https://forge.grandlyon.com///commit/8c819fc5e250d54e26b9058457534f3f8ddbe1ef))
* add structure remove from userModel ([fd21790](https://forge.grandlyon.com///commit/fd2179074baef4f435092330ee9169cdae85f803))
* aptic structure accountVerified ([928bf58](https://forge.grandlyon.com///commit/928bf58b85e49d493e9f462d0fbe55cac21b7b81))
* aptic structure init + admin structurename for claim validation ([cef5451](https://forge.grandlyon.com///commit/cef545168d9bdd6346767a55fe985459ff81b606))
* delete structure ([451e004](https://forge.grandlyon.com///commit/451e0041f6c431c57938db34c507dbb48563e2bd))
* mail config + new url ([874b062](https://forge.grandlyon.com///commit/874b06236254fd6dc28df8fe060f3c0597d01913))
* MR conflicts ([ac18ce8](https://forge.grandlyon.com///commit/ac18ce82b3456198bb8f0f52638f386d303134ca))
* MR return + issue on delete owner endpoint ([1fb8047](https://forge.grandlyon.com///commit/1fb80471382d883db23909b4ae58beab05d1cfca))
* remove unused imports ([f2db14e](https://forge.grandlyon.com///commit/f2db14eb0bb98682dbb3c37610e88f800480f9d5))
* remove useless swagger auth ([bf89fbd](https://forge.grandlyon.com///commit/bf89fbd62873517fdb990a7a2b9126e296b0ddcd))
* user cration bug + structure find refacto ([25480d5](https://forge.grandlyon.com///commit/25480d585119ca6bef98dc4567cd63c8b273e980))
* user model structureid from string to objectid ([35fa953](https://forge.grandlyon.com///commit/35fa953761b6800426155d27595efaa26df0f47f))
* **form:** fix model ([f0d1df6](https://forge.grandlyon.com///commit/f0d1df6092c099a100256425c1ab4b640b48aaf6))
* **form:** fix structure ([af1b4fa](https://forge.grandlyon.com///commit/af1b4fac5fa2c370e53917dfe3271c3c60a55266))

## [1.4.0](https://forge.grandlyon.com///compare/v1.3.0...v1.4.0) (2021-02-01)


### Features

* **structures:** add admin delete ([43eb15b](https://forge.grandlyon.com///commit/43eb15b70acfddfb251e02f98abd0840d7eb4567))
* add address search for structure registration ([c4811fb](https://forge.grandlyon.com///commit/c4811fb22dfab9149d94e4b87dcb79570a895f26))
* add APTIC api structure + cron job ([88bc8fd](https://forge.grandlyon.com///commit/88bc8fdc489059fe11fb1ee83b5b5716d9daf7e0))
* add APTIC api structure + cron job ([6605486](https://forge.grandlyon.com///commit/66054863ffda381a5f15d9419e3577717b2c9798))
* add email sending for outdated structures ([20fd741](https://forge.grandlyon.com///commit/20fd741e6c3c9a06ebce3f056f107d28e9cf50f8))


### Bug Fixes

* add trim for opendata request to solve 400 request issue ([2d3b357](https://forge.grandlyon.com///commit/2d3b357965e0a5fa18d0e9207174a9143b1cb9cc))
* configuration logs and bug fix for user registration ([eb8b243](https://forge.grandlyon.com///commit/eb8b24330f0380eecb1cad762c18f1cd8f6ce1b6))
* cron duration ([2f86c0b](https://forge.grandlyon.com///commit/2f86c0bcbf6b52f83ca9f7f5de8a740bda5d135f))
* fix duplication bug from aptic structure ([4838342](https://forge.grandlyon.com///commit/48383420588f4b221dbf920f65e30e8da9def88f))
* merge conflit ([6a4290d](https://forge.grandlyon.com///commit/6a4290df9a0c42134f10b61c7de31d542acfc3fe))
* outdated structure range ([0d2666f](https://forge.grandlyon.com///commit/0d2666fd7ae0922cbf188ee3fd16a570e9192195))
* update conf ([e7070d1](https://forge.grandlyon.com///commit/e7070d130edbf875b8851eec89a4cf75ca8b3689))
* update mailing templates, user model wrong type and aptic structure handling when a structure is updated. ([f1b69ba](https://forge.grandlyon.com///commit/f1b69ba24d961c031b4f54eeaf1cc5b0cbd0a1d8))
* **structure:** remove unecessary sort for search ([2982dfe](https://forge.grandlyon.com///commit/2982dfe3ffa3b15f41f2bea497f16c255063e2c7))
* **structure:** structure id creation ([7b14c80](https://forge.grandlyon.com///commit/7b14c808b8e04a34552e58eb243906b6acd9bbfc))
* unecessary id declaration in model structure ([e788e55](https://forge.grandlyon.com///commit/e788e55e0c63155c5994b39cbc2f37871f2b4398))

## [1.3.0](https://forge.grandlyon.com///compare/v1.2.0...v1.3.0) (2021-01-15)


### Features

* add admin module + add validation for claiming structures ([95ed7ec](https://forge.grandlyon.com///commit/95ed7eca7c099e24aeeb6ffb535e5b59858162fb))
* add new field in structure schema ([b09c65d](https://forge.grandlyon.com///commit/b09c65d4139976d22d20589d0b3f6e62ef996e2f))
* add role guard ([acb79f2](https://forge.grandlyon.com///commit/acb79f25c7a4c7ee447e4409be25682152b3f739))
* add role to jwt ([f446fd9](https://forge.grandlyon.com///commit/f446fd990de074512e1dc8dcfd7bba31e8b0c9e1))
* add sending of email when structure is validate or not by an admin ([6d683b5](https://forge.grandlyon.com///commit/6d683b5f28489c955b9dc9cfb3cf6522b07ef979))
* add structure name in claim validation mail ([3ad4b8c](https://forge.grandlyon.com///commit/3ad4b8cc7c6b111c45814b738184e56350053da1))
* add tcl module ([b3807e2](https://forge.grandlyon.com///commit/b3807e264a53be1717d316cd512f09bb371e454d))
* claim structure ([8f1bc01](https://forge.grandlyon.com///commit/8f1bc01010e3575a5fd53027be7bb9e680e8fc7c))


### Bug Fixes

* mail issue after sen change ([29cdc20](https://forge.grandlyon.com///commit/29cdc20d5e636548665a4f7868dcd2802fe0a4c4))
* structure claim check with bdd ([e0ff4df](https://forge.grandlyon.com///commit/e0ff4df5be560a3e79a563a80b824be80ce62781))

## [1.2.0](https://forge.grandlyon.com///compare/v1.1.0...v1.2.0) (2020-12-18)


### Features

* add comments and TU ([5c0dd46](https://forge.grandlyon.com///commit/5c0dd468d34f11c9e9fea2817a3600267f043043))
* add password cahnge endpoint ([cead66e](https://forge.grandlyon.com///commit/cead66ea129de7d7b38e026e6ee89d6fa2892f5e))
* add password reset ([ffea481](https://forge.grandlyon.com///commit/ffea481f8275c93748c114488c150d8b9ace3edd))
* add tu for password change ([c3eb184](https://forge.grandlyon.com///commit/c3eb184b73169d0c7611298f7e3fb00bde72a21a))
* structure edit + data refacto ([a2a65e8](https://forge.grandlyon.com///commit/a2a65e8a2ed3fb2bb8ea1066945d7b044eee7357))
* update dto definition for swagger ([d7a30ed](https://forge.grandlyon.com///commit/d7a30ed7a0e7e0f74e85dace474152f9a184bfc5))
* **auth:** add expiration date on token ([771bd91](https://forge.grandlyon.com///commit/771bd9165b700eb29cc473723d363997695d7f5f))
* **auth:** add user verification endpoint ([7b1fe8a](https://forge.grandlyon.com///commit/7b1fe8a6db800f0182c372e09c720d17771382a1))
* **auth:** send validation mail ([ccbfe8f](https://forge.grandlyon.com///commit/ccbfe8ffda6db3f55b1ff6263f189ef583df3a61))
* **auth:** update password strength verification, increase security with salt in env variable ([8cf88c0](https://forge.grandlyon.com///commit/8cf88c0eb37975172de43a869e30ae125edcacf3))
* **cicd:** add sonar conf + deploy ([1595281](https://forge.grandlyon.com///commit/1595281e0254bbbc06e89cc0058a0dc58a0e9a16))
* **cicd:** init cicd with build ([7156660](https://forge.grandlyon.com///commit/71566600376fcc43a9aa4b0486853746a6cf31be))
* **config:** update logging and add envconfiguration handling ([2ccc5e8](https://forge.grandlyon.com///commit/2ccc5e86bc34a5afaef901ca3ae1dca80c6294f4))
* **mailer:** add ejs template handling ([2b68810](https://forge.grandlyon.com///commit/2b68810cd5a7915da4370e91ae866020e5482df6))


### Bug Fixes

* **mailer:** update mailer service with new sen api request form ([edd8d04](https://forge.grandlyon.com///commit/edd8d0415224a5f55ef594bf7bd993d0af414b75))
* change token variables ([64d5fd4](https://forge.grandlyon.com///commit/64d5fd4830bfcb55f8226c4184f0851fa6ca7b5b))
* import typo ([cead291](https://forge.grandlyon.com///commit/cead291d4845201d2ebf42ef39ebda9b8299066f))
* route in reset-password mail template ([b9de8c9](https://forge.grandlyon.com///commit/b9de8c935cd2f7ae267292d7df3b560410012127))
* update missing import ([e9c77cb](https://forge.grandlyon.com///commit/e9c77cb64213929ad9a7cf402f00ae59f4a42260))
* **cicd:** add mr validation build + sonar ts ([da070d2](https://forge.grandlyon.com///commit/da070d2aa8a56f70279ff641090ad0df43314abc))
* **cicd:** add mr validation build + sonar ts ([8025ab2](https://forge.grandlyon.com///commit/8025ab2f3abed73f2354bb5254982dc0fb08628e))
* **cicd:** docker build issue ([7732250](https://forge.grandlyon.com///commit/7732250a37b8c1edc9af9509037aebf4f232f466))
* **cicd:** docker-compose version ([0187808](https://forge.grandlyon.com///commit/018780838acc590f5d799828a9a57a689b06f723))
* **cicd:** image build ([78c33c2](https://forge.grandlyon.com///commit/78c33c237b194c5c86e7bdd91f52be221fb63f76))
* **cicd:** image build ([50c1fd1](https://forge.grandlyon.com///commit/50c1fd1108fe50b9e19ebe256753a2284f87a021))
* **TU:** Add unitary testing for auth service ([af44ba0](https://forge.grandlyon.com///commit/af44ba026e4bba564f87ad268ea2bd8ef5a5c566))
* **TU:** fix import issues on TU and add user.service TU ([a0f9456](https://forge.grandlyon.com///commit/a0f94564ef8b04fa10503ec789901e758975888c))
* **TU:** wrong test description ([647da39](https://forge.grandlyon.com///commit/647da394bef7a16febf223220b581f78100b685a))
* build issue because of typo in imports ([fca81cb](https://forge.grandlyon.com///commit/fca81cb4687e141bf311d15e42c6a67e2de5e407))

## 1.1.0 (2020-12-01)


### Features

* add categories endpoint ([b610803](https://forge.grandlyon.com///commit/b6108038843cdaf5099beb369bdd23e98d10f126))
* add count handling ([d918fb7](https://forge.grandlyon.com///commit/d918fb7e8a15061f482359b6e9b4cf8b1e424cea))
* add first working version for structure endpoint ([42b760b](https://forge.grandlyon.com///commit/42b760bc70029b3b19439b34aac38448ed7c65f5))
* add full text search ([609b51b](https://forge.grandlyon.com///commit/609b51b8a40056be18cc2b7fe39674c1db463c48))
* add health check ([0673e49](https://forge.grandlyon.com///commit/0673e49a7a9792e60910e1887ad4dcc56d453750))
* add registration and auth ([99b3c50](https://forge.grandlyon.com///commit/99b3c509f27e7fa2d105431347658957a017dcf0))
* first working version of auth ([8d8ff61](https://forge.grandlyon.com///commit/8d8ff617ea3065b54145502e7e8277c97304ac30))
* parse boolean string to boolean for search filter + Refacto ([1184295](https://forge.grandlyon.com///commit/1184295c0cadf04771fc377b0b6fd09507ceecc4))
* update readme + make coord and address call in backend instead of front ([87ca741](https://forge.grandlyon.com///commit/87ca7411ca6a61c5e23319fa472f8dff10627c8c))
* **docker:** add docker handling for mongo database ([d66af3c](https://forge.grandlyon.com///commit/d66af3c04547e85b222ef73eeee090520edd6d22))


### Bug Fixes

* or instead of and for filter search query ([e135dfb](https://forge.grandlyon.com///commit/e135dfb02db44621f25e08d36bc8475393e62573))
* search issue ([13e5b81](https://forge.grandlyon.com///commit/13e5b816236236ce2bf73a7179f0ea5b51ae6703))
* typo in structure.controller ([d9000b4](https://forge.grandlyon.com///commit/d9000b4d9d98454b8f99148cd8a5e0ed1c32adee))
* update docker-compose ([857a2d5](https://forge.grandlyon.com///commit/857a2d54ca8284778a7963828cfe6a55fcfce1ec))
