import { SchemaFactory } from '@nestjs/mongoose';
import { IsNotEmpty } from 'class-validator';

export type AddressDocument = Address & Document;

export class Address {
  numero: string;

  @IsNotEmpty()
  street: string;

  @IsNotEmpty()
  commune: string;
}

export const AddressSchema = SchemaFactory.createForClass(Address);
